Issue 932 - Table border style
Summary: Table border style
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: 632
Hardware: All All
: P3 Trivial with 34 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
: 12177 12949 50330 94206 96186 (view as issue list)
Depends on:
Blocks:
 
Reported: 2001-05-22 04:47 UTC by issues@www
Modified: 2016-03-28 17:02 UTC (History)
17 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description issues@www 2001-05-22 04:47:30 UTC
It would be good if table border style can have various dot-line style
rather than just solid border line. (like those in MS Word)
Comment 1 stefan.baltzer 2001-05-22 15:53:26 UTC
Reassigned to Falko.

Personal remark: I still wait for the RFE "Bring in ALL the MS Office Features"  
;-)
Comment 2 falko.tesch 2001-06-13 10:59:16 UTC
Yes. It's in the pipeline for a later version.
Comment 3 guido.pinkernell 2004-01-17 18:27:47 UTC
*** Issue 12949 has been marked as a duplicate of this issue. ***
Comment 4 guido.pinkernell 2004-02-08 10:54:35 UTC
*** Issue 12177 has been marked as a duplicate of this issue. ***
Comment 5 stp 2005-03-25 16:28:04 UTC
Using 1.9m87 I can't find other border styles. May I suggest Reopen and Target
it for Later.
Comment 6 darehanl 2005-06-22 04:04:48 UTC
Calc, not just Writer, does not have the ability to change border styles
(dotted, etc.) either. 
Comment 7 pagalmes.lists 2006-06-22 16:40:26 UTC
Shouldn't this issue be marked as non-resolved ? 
Comment 8 subscryer 2006-07-14 20:08:22 UTC
Please devs, this is ANCIENT.
If you need a reason to do this instead of implementing other features have a 
look here: http://www.oooforum.org/forum/viewtopic.phtml?p=35955#35955
Comment 9 frank.loehmann 2007-01-31 14:29:02 UTC
Still valid request. Reopened. Set target to OOo 3.0.
Comment 10 frank.loehmann 2007-01-31 14:37:31 UTC
Reassign issue.
Comment 11 pagalmes.lists 2007-02-01 08:26:29 UTC
Cool to see that this issue has been re-opened !! It is a feature often asked by
users. Again yesterday, I was asked if this is planned.

BTW, this issue component is set as Word Processor. Will this also be
implemented in Calc, Impress, Draw... ?
Comment 12 Mathias_Bauer 2007-03-20 15:34:23 UTC
This RFE requires a file format change. As it is too late for ODF 1.2 we have to
go for ODF 1.3. The current estimated time lines tell that then we will not be
able to implement this for 3.0. In case ODF 1.3 will be opened earlier or OOo
3.0 will be moved into 2008 considerably we can retarget this issue.
Comment 13 bobharvey 2007-08-15 21:53:38 UTC
It wasn't too late for ODF in 2001, was it?

I would like to see this enhancement to paragraph borders, page borders, and
cell borders in tables.

In fact, I would expect them all to be derived from the same code anyway....
Comment 14 kami911 2007-08-16 22:41:40 UTC
Sad to hear that...
http://www.openoffice.org/issues/show_bug.cgi?id=8275 is same for Calc

Can we implement a solution for all modules? Do you have a plan about 1.3? Is
1.2 finalized?
Comment 15 kpalagin 2008-04-18 20:06:21 UTC
Mathias,
did we introduce necessary changes into ODF 1.3?

Regards,
Kirill.
Comment 16 michael.ruess 2008-09-23 11:27:46 UTC
*** Issue 94206 has been marked as a duplicate of this issue. ***
Comment 17 ccheney 2008-10-21 21:50:33 UTC
Can we get this fixed sometime this century? This bug was filed long before ODF
even existed and it still isn't fixed yet.
Comment 18 japannac 2008-10-28 19:41:51 UTC
in addition to the legal document reasons listed there are many other reasons
dashed/dotted lines are important, for instance I work in phonology and in the
theoretical framework of Optimality Theory it is crucial to have dotted lines in
our tables (or Tableaux as they are referred to).

I would also like to point out how silly it is that in the pop-up box that has
all the table-formatting buttons, both the line styles and border styles buttons
have icons depicting both solid and dashed lines.  Very frustrating to click
these buttons with high hopes after each new version of OpenOffice only to be
re-disappointed to find only strange combinations of lines with varying thickness.

for years now I have had to resort to getting rid of the border where i need a
dashed line and inserting a dashed line object.  this is not particularly easy
to anchor and get to the right dimensions as to not protrude from the table
boundaries, etc. (add a row or column to your table and you have to redo all
your dashed lines, and so on).

this issue has occasionally made me question my unconditional support for
openoffice for years now because it's such a minor issue that just continues to
not be addressed, and I hope it gets fixed soon!
Comment 19 michael.ruess 2008-11-14 11:13:03 UTC
*** Issue 96186 has been marked as a duplicate of this issue. ***
Comment 20 groverblue 2008-12-01 19:14:34 UTC
If devs are looking for an additional reason to implement this enhancement,
consider this:  Certain formatting is critical for legal documents, as well as
ones that need to be registered with government bureaus before a business uses
them in production.  If an organization has to re-register hundreds of documents
because of style changes, then that organization won't even bother moving from
Microsoft Office to Open Office.  Just my $0.02.
Comment 21 kpalagin 2009-03-11 16:52:28 UTC
Mathias,
did we introduce necessary changes into ODF 1.3?

WBR,
KP.
Comment 22 Mathias_Bauer 2009-03-11 17:17:59 UTC
There is no such thing as ODF 1.3.
The TC is still working on getting ODF 1.2 done.
Comment 23 kpalagin 2009-03-21 20:21:12 UTC
So this issue (and 8275) will wait for another couple of years at least, 
correct?
Comment 24 Mathias_Bauer 2009-03-22 19:19:57 UTC
Not necessarily. We don't need to wait with an implementation until the standard
is done, it's enough to have it specified and scheduled for the next ODF
release. So it happened for most of the 1.2 features.

We are very interested in working on borders to improve the interoperability,
but currently performance has a higher priority.
Comment 25 bootup 2009-04-03 06:58:48 UTC
I'm also looking for this feature. I found a temporary solution for my
particular needs. I'm creating brochures with coupons in them. My solution for
the coupons is to use the draw functions using a rectangle:

1. Click show draw functions icon
2. Click on the rectangle
3. Draw a rectangle
4. Change the background to white
5. Right click on the rectangle and select wrap in background
6. Change the line style to ultrafine dashed
Comment 26 petesta 2009-08-20 19:12:37 UTC
The issue is really crucial to my work. I like the product, too bad I can't use
it for this minor reason. 

I work in linguistics and in certain linguistic theories (e. g. optimality
theory) there are tabular representations of calculations where dotted
borderlines are crucial. Sounds like another reason to add this.
Comment 27 xkjyeah 2009-11-20 03:27:10 UTC
Quoting sba, "Bring in ALL the MS Office Features", aim lower. Aim CSS1.

border-style: dotted, and border-style: dashed are HTML/CSS1 (c s s ONE) [circa
1996] features.

Importing tables with such borders from HTML files will currently fail miserably.
Comment 28 cedric.bosdonnat.ooo 2010-01-15 14:00:30 UTC
*** Issue 50330 has been marked as a duplicate of this issue. ***
Comment 29 jbf.faure 2010-05-31 08:31:09 UTC
Add me to cc.
Comment 30 Dave Pease 2011-11-02 20:52:10 UTC
recent open office convert here... I was unpleasantly surprised to not see a border style option and would love to see one implemented.  I am working in print layout and would use it a lot.
Comment 31 Kiki Jewell 2012-11-18 17:56:48 UTC
I used Excel to make writing paper for our elementary school.  I'm trying to convert to Open Office, but now can't make the standard line-dotted-line-line writing paper.  (Now I'm sadly contemplating giving in and buying Excel.)

Just another type of need for this feature.
Comment 32 Luke 2013-06-02 01:40:51 UTC
I'm still keen on this feature
Comment 33 Bernie 2016-03-28 17:02:56 UTC
I would like dotted borders as a table option.